
{% block metainfo %}
    {%- apply spaceless %}

    <dl class="{{ 'u-mv-0_5'|prefixClass }}">

        <dt class="{{ 'layout__item u-1-of-6 u-1-of-3-palm u-pl-palm weight--bold'|prefixClass }}{{ statement.element.title|default()|isNot(' color--grey')|prefixClass }}">
            {{ "document"|trans }}:
        </dt>
        <dd class="{{ 'layout__item o-hellip u-1-of-3 u-2-of-3-palm u-ml-0'|prefixClass }}{{ statement.element.title|default()|isNot(' color--grey')|prefixClass }}">
            {{ statement.element.title|default() }}{% if statement.document.title is defined %} / {{ statement.document.title }}{% endif %}
        </dd>

    {% if show_author is defined %}
        <dt class="{{ 'layout__item u-1-of-6 u-1-of-3-palm u-pl-palm weight--bold'|prefixClass }}">
            {{ "author"|trans }}:
        </dt>
        <dd class="{{ 'layout__item u-1-of-3 u-2-of-3-palm u-ml-0'|prefixClass }}">
            {{ statement.uName|default() }}
        </dd>
    {% endif %}

    {% if hasPermission( 'field_statement_location' ) %}
        <dt class="{{ 'layout__item u-1-of-6 u-1-of-3-palm u-pl-palm weight--bold'|prefixClass }}{{ statement.polygon|default|isNot(' color--grey')|prefixClass }}">
            {{ "location"|trans }}:
        </dt>
        <dd class="{{ 'layout__item u-1-of-3 u-2-of-3-palm u-ml-0'|prefixClass }}{{ statement.polygon|default|isNot(' color--grey')|prefixClass }}">
            {% if statement.polygon|default != '' %}
                <button
                    class="{{ 'btn--blank o-link--default'|prefixClass }}"
                    type="button"
                    @click.prevent.stop="(function(){$refs.mapModal.toggleModal({{ statement.polygon|convertLegacyPolygon|escape('html_attr') }})})()"
                    aria-label="{{ 'statement.map.drawing.show'|trans }} {{ 'statement'|trans }}: {{ statement.externId }}"
                >
                    {{ 'see'|trans }}
                </button>
            {% else %}
                {{ "notspecified"|trans }}
            {% endif %}
        </dd>
    {% endif %}

    {% if hasPermission('field_statement_county') %}{# used in robob #}
        <dt class="{{ 'layout__item u-1-of-6 u-1-of-3-palm u-pl-palm weight--bold'|prefixClass }}{{ statement.statementAttributes.county|default()|isNot( ' color--grey' )|prefixClass }}">
            {{ "county"|trans }}:
        </dt>
        <dd class="{{ 'layout__item u-1-of-3 u-2-of-3-palm u-ml-0'|prefixClass }}{{ statement.statementAttributes.county|default()|isNot(' color--grey')|prefixClass }}">
            {% if statement.statementAttributes.county|default %}
                {% for county in templateVars.counties %}
                    {% if county.id == statement.statementAttributes.county %}{{ county.name }}{% endif %}
                {% endfor %}
            {% else %}
                {{ "notspecified"|trans }}
            {% endif %}
        </dd>
    {% endif %}

    {% if show_department is defined %}
        <dt class="{{ 'layout__item u-1-of-6 u-1-of-3-palm u-pl-palm weight--bold'|prefixClass }}{{ statement.dName|default()|isNot(' color--grey')|prefixClass }}">
            {{ "department"|trans }}:
        </dt>
        <dd class="{{ 'layout__item u-1-of-3 u-2-of-3-palm u-ml-0'|prefixClass }}{{ statement.dName|default()|isNot(' color--grey')|prefixClass }}">
            {{ statement.dName|default( "notspecified"|trans ) }}
        </dd>
    {% endif %}

    {% if hasPermission('feature_documents_new_statement') %}
        <dt class="{{ 'layout__item u-1-of-6 u-1-of-3-palm u-pl-palm weight--bold'|prefixClass }}{{ statement.paragraph.title|default()|isNot(' color--grey')|prefixClass }}">
            {{ "paragraph"|trans }}:
        </dt>

        <dd class="{{ 'layout__item o-hellip u-1-of-3 u-2-of-3-palm u-ml-0'|prefixClass }}{{ statement.paragraph.title|default()|isNot(' color--grey')|prefixClass }}">
            {{ statement.paragraph.title|default( "notspecified"|trans )|wysiwyg }}
        </dd>
    {% endif %}

    <dt class="{{ 'layout__item u-1-of-6 u-1-of-3-palm u-pl-palm weight--bold'|prefixClass }}{{ statement.file|isNot(' color--grey')|prefixClass }}">
        {{ "attachments"|trans }}:
    </dt>
    <dd class="{{ 'layout__item u-1-of-3 u-2-of-3-palm u-ml-0 o-hellip'|prefixClass }}{{ statement.file|isNot(' color--grey')|prefixClass }}">
        {% if statement.files|default([])|length > 0 %}
            {% for file in statement.files %}
                <a
                    target="_blank"
                    rel="noopener"
                    href="{{ path("core_file", { 'hash': file|getFile('hash') }) }}">
                    {{ file|getFile('name') }}
                </a><br>
            {% endfor %}
        {% else %}
            {{ "notspecified"|trans }}
        {% endif %}
    </dd>

    {% if procedureStatementPriorityArea %}
        {% set priorityAreas = statement.statementAttributes.priorityAreaKey|default %}
        <dt class="{{ 'layout__item u-1-of-6 u-1-of-3-palm u-pl-palm weight--bold'|prefixClass }}{{ priorityAreas ? '' : ' color--grey'|prefixClass }}">
            {{ 'priorityArea'|trans }}:
        </dt><dd class="{{ 'layout__item u-1-of-3 u-2-of-3-palm u-ml-0'|prefixClass }}{{ priorityAreas ? '' : ' color--grey'|prefixClass }}">
            {% if priorityAreas %}
                {{ priorityAreas is iterable ? priorityAreas|join(', ') : priorityAreas }}
            {% else %}
                {{ 'notspecified'|trans }}
            {% endif %}
        </dd>
    {% endif %}

    {% block metainfo_show_publish %}
    {% if hasPermission('feature_statement_public_allowed_needs_verification') and proceduresettings.publicParticipationPublicationEnabled %}
        <dt class="{{ 'layout__item u-1-of-6 u-1-of-3-palm u-pl-palm'|prefixClass }}">
            {{ "publish.on.platform"|trans }}:
        </dt>
        <dd class="{{ 'layout__item u-1-of-3 u-2-of-3-palm u-ml-0'|prefixClass }}">
            {% if statement.publicAllowed is defined and statement.publicAllowed == true %}
                {{ "yes"|trans }}
            {% else %}
                {{ "no"|trans }}
            {% endif %}
        </dd>
    {% endif %}
    {% endblock %}


    </dl>

    {% endapply %}
{% endblock %}

<hr class="{{ 'border--top u-mh u-ml-0_5-palm u-mr-0_5-palm'|prefixClass }}" />

{% if show_rejected is defined and statement.rejectedReason is defined and statement.rejectedReason != '' %}
    <strong class="{{ 'flash-warning block u-mh u-mb-0_5 u-ph-0_5 u-pv-0_25 u-ml-0_5-palm u-mr-0_5-palm'|prefixClass }}">
        {{ "confirm.statement.rejected.reason"|trans }} "{{ statement.rejectedReason }}"
    </strong>
{% endif %}

<span class="{{ 'layout__item u-1-of-6 u-1-of-1-palm u-pl-palm u-pb-0_5-lap-up u-pb-0_25-palm weight--bold'|prefixClass }}{{ statement.text|default()|isNot(' color--grey')|prefixClass }}">
        {{ "statementtext"|trans }}:
</span><span class="{{ 'layout__item u-5-of-6 u-1-of-1-palm u-pl-palm u-pr-0_25-palm break-words u-pr'|prefixClass }}{{ statement.text|default()|isNot(' color--grey')|prefixClass }}">
    {{ statement.text|default( "<p>" ~ "notspecified"|trans ~ "</p>" )|dpObscure|wysiwyg }}
</span>

